| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes | Static Package Functions
com.symantec.sepm.webservice.client.command.CommandServiceImpl Class Reference

Provides the implementation for the CommandService API. More...

Inheritance diagram for com.symantec.sepm.webservice.client.command.CommandServiceImpl:

## Public Member Functions
void | setContext (WebServiceContext context)
CommandClientResult | runClientCommandScan (String[] computerGUIDList, String scanType) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
CommandClientResult | runClientCommandEnableNTP (String[] computerGUIDList) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandClientResult | runClientCommandDisableNTP (String[] computerGUIDList, long timeLimit) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandClientResult | runClientCommandUpdateContent (String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
CommandClientResult | runClientCommandUpdateContentAndScan (String[] computerGUIDList, String scanType) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
CommandClientResult | runClientCommandEnableAP (String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
CommandClientResult | runClientCommandEnableDownloadInsight (String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
CommandClientResult | runClientCommandDisableDownloadInsight (String[] computerGUIDList, long timeLimit) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandClientResult | runClientCommandPowerEraser (PowerEraserCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandClientResult | runClientCommandEvidenceOfCompromise (EvidenceOfCompromiseCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandClientResult | runClientCommandQuarantine (QuarantineCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
CommandStatusDetailResult | getCommandStatusDetails (String commandID, PagingOptions pagingOptions, Context context) throws InvalidArgumentServiceException, InsufficientAccessServiceException, ServiceException
PagingOptions | createPagingOptions ()
| Creates a PagingOptions object. More...
Context | createContext ()
| Creates a Context object. More...
Public Member Functions inherited from com.symantec.sepm.webservice.client.command.CommandService
CommandClientResult | runClientCommandScan (@WebParam(name="computerGUIDList") String[] computerGUIDList,@WebParam(name="scanType") String scanType) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Runs the Scan command on a specified list of client computers. More...
CommandClientResult | runClientCommandEnableNTP (@WebParam(name="computerGUIDList") String[] computerGUIDList) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Enables Network Threat Protection on a specified list of client computers. More...
CommandClientResult | runClientCommandDisableNTP (@WebParam(name="computerGUIDList") String[] computerGUIDList,@WebParam(name="timelimit") long timeLimit) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Disables Network Threat Protection on a specified list of client computers. More...
CommandClientResult | runClientCommandUpdateContent (@WebParam(name="computerGUIDList") String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
| Runs the Update Content command on a specified list of client computers. More...
CommandClientResult | runClientCommandUpdateContentAndScan (@WebParam(name="computerGUIDList") String[] computerGUIDList,@WebParam(name="scanType") String scanType) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
| Runs the Update Content and Scan command on a specified list of client computers. More...
CommandClientResult | runClientCommandEnableAP (@WebParam(name="computerGUIDList") String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
| Enables Auto-Protect on a specified list of client computers. More...
CommandClientResult | runClientCommandEnableDownloadInsight (@WebParam(name="computerGUIDList") String[] computerGUIDList) throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException
| Enables Download Insight on a specified list of client computers. More...
CommandClientResult | runClientCommandDisableDownloadInsight (@WebParam(name="computerGUIDList") String[] computerGUIDList,@WebParam(name="timeLimit") long timeLimit) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Disables Download Insight on a specified list of client computers. More...
CommandClientResult | runClientCommandPowerEraser (@WebParam(name="command") PowerEraserCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Runs an individual PowerEraser command on a specified list of client computers or a list of client groups. More...
CommandClientResult | runClientCommandEvidenceOfCompromise (@WebParam(name="command") EvidenceOfCompromiseCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Runs an individual Evidence of Compromise (EOC) command on a specified list of client computers or a list of client groups. More...
CommandClientResult | runClientCommandQuarantine (@WebParam(name="command") QuarantineCommand command) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Runs an individual Quarantine command on a specified list of client computers or a list of client groups. More...
CommandStatusDetailResult | getCommandStatusDetails (@WebParam(name="commandID") String commandID,@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Gets detailed information about the status of a specified command for all clients on which the command was run. More...

## Static Public Attributes
static final String | SORT_BY_DB_COMMANDSTATEID = "STATE_ID"
static final String | SORT_BY_COMMANDSTATEID = "Commandstateid"
static final String | SORT_BY_DB_LASTUPDATETIME = "LAST_UPDATE_TIME"
static final String | SORT_BY_LASTUPDATETIME = "Lastupdatetime"
static final String | DEFAULT_SORT_BY_DB_BEGIN_TIME = "BEGIN_TIME"
static final String | DEFAULT_SORT_BY_BEGIN_TIME = "Begintime"
static final String | EOC_PARAM_CONTENT = "<EoCParams><FileContent>%s</FileContent></EoCParams>"

## Static Package Functions
| [static initializer]

## Detailed Description

Provides the implementation for the CommandService API.

## Member Function Documentation

com.symantec.sepm.webservice.client.command.CommandServiceImpl.[static initializer] | ( |  | ) |
| static package

void com.symantec.sepm.webservice.client.command.CommandServiceImpl.setContext | ( | WebServiceContext | context | ) |

Parameters

  context | the context to set

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandScan | ( | String[] | computerGUIDList,
|  | String | scanType
| ) |  | throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandEnableNTP | ( | String[] | computerGUIDList | ) | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandDisableNTP | ( | String[] | computerGUIDList,
|  | long | timeLimit
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandUpdateContent | ( | String[] | computerGUIDList | ) | throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandUpdateContentAndScan | ( | String[] | computerGUIDList,
|  | String | scanType
| ) |  | throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandEnableAP | ( | String[] | computerGUIDList | ) | throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandEnableDownloadInsight | ( | String[] | computerGUIDList | ) | throws ServiceException, InvalidArgumentServiceException, InsufficientAccessServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandDisableDownloadInsight | ( | String[] | computerGUIDList,
|  | long | timeLimit
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandPowerEraser | ( | PowerEraserCommand | command | ) | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandEvidenceOfCompromise | ( | EvidenceOfCompromiseCommand | command | ) | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandClientResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.runClientCommandQuarantine | ( | QuarantineCommand | command | ) | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

CommandStatusDetailResult com.symantec.sepm.webservice.client.command.CommandServiceImpl.getCommandStatusDetails | ( | String | commandID,
|  | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InvalidArgumentServiceException, InsufficientAccessServiceException, ServiceException

PagingOptions com.symantec.sepm.webservice.client.command.CommandServiceImpl.createPagingOptions | ( |  | ) |

Creates a PagingOptions object.

This method is provided as a convenience for developers using PowerShell or other scripting languages. It lets the caller create a default object that can be initialized and passed as an input parameter to other web services. Developers who use higher-level languages should be able to create this object directly, or they can use this helper method.

See also
  PagingOptions

Returns
  a new PagingOptions object with values set to their defaults

Implements com.symantec.sepm.webservice.client.command.CommandService.

Context com.symantec.sepm.webservice.client.command.CommandServiceImpl.createContext | ( |  | ) |

Creates a Context object.

This method is provided as a convenience for developers using PowerShell or other scripting languages. It lets the caller create a default object that can be initialized and passed as an input parameter to other web services. Developers who use higher-level languages should be able to create this object directly, or they can use this helper method.

See also
  Context

Returns
  a new Context object with values set to their defaults

Implements com.symantec.sepm.webservice.client.command.CommandService.

## Member Data Documentation

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.SORT_BY_DB_COMMANDSTATEID = "STATE_ID"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.SORT_BY_COMMANDSTATEID = "Commandstateid"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.SORT_BY_DB_LASTUPDATETIME = "LAST_UPDATE_TIME"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.SORT_BY_LASTUPDATETIME = "Lastupdatetime"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.DEFAULT_SORT_BY_DB_BEGIN_TIME = "BEGIN_TIME"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.DEFAULT_SORT_BY_BEGIN_TIME = "Begintime"
| static

final String com.symantec.sepm.webservice.client.command.CommandServiceImpl.EOC_PARAM_CONTENT = "<EoCParams><FileContent>%s</FileContent></EoCParams>"
| static